package com.test.entities;

import javax.persistence.*;

public class TestEntityListener
{
    @PrePersist
    void prePersist(Object object)
    {
        System.out.println("TestEntityListener.prePersist");
    }

    @PreUpdate
    void preUpdate(Object object)
    {
        System.out.println("TestEntityListener.preUpdate");
    }

    @PreRemove
    void preRemove(Object object)
    {
        System.out.println("TestEntityListener.preRemove");
    }

    @PostLoad
    void postLoad(Object object)
    {
        System.out.println("TestEntityListener.postLoad");
    }

    @PostRemove
    void postRemove(Object object)
    {
        System.out.println("TestEntityListener.postRemove");
    }

    @PostUpdate
    void postUpdate(Object object)
    {
        System.out.println("TestEntityListener.postUpdate");
    }

    @PostPersist
    void postPersist(Object object)
    {
        System.out.println("TestEntityListener.postPersist");
    }
}

