package com.test.session;

import javax.ejb.Stateless;
import javax.ejb.Remote;
import javax.ejb.SessionContext;
import javax.persistence.PersistenceContext;
import javax.persistence.EntityManager;
import javax.annotation.Resource;

import com.test.entities.TestEntity;

@Remote(Session.class)
@Stateless(name = "SessionEJB", mappedName = "postLoadBug/SessionEJB")
public class SessionBean
{
    @PersistenceContext(unitName = "pu1")
    private EntityManager em1;

    @PersistenceContext(unitName = "pu2")
    private EntityManager em2;

    public void bizMethod() {
        TestEntity entity1 = new TestEntity(200);
        entity1.setName("entity10");
        entity1.setAge(20);
        em1.persist(entity1);
        em1.flush();
        TestEntity entity2 = em2.find(TestEntity.class, 200);
    }
}

