package com.test.entities;

import javax.persistence.*;

@EntityListeners({TestEntityListener.class})
@Entity(name = "TestEntity")
public class TestEntity
{
    @Id
    private int id;

    private String name;

    private int age;

    @Version
    private int version;

    public TestEntity(){

    }

    public TestEntity(int id)
    {
        this.id = id;
    }

    public int getId()
    {
        return id;
    }

    public int getVersion()
    {
        return version;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public int getAge()
    {
        return age;
    }

    public void setAge(int age)
    {
        this.age = age;
    }
}
